chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
  if (message.action === 'filterJobs') {
    filterJobs(message.charLimit);
  }
});

function filterJobs(charLimit) {
  // First, reset all sections to be visible
  const allSections = document.querySelectorAll('section');
  allSections.forEach(section => {
    section.style.display = '';
  });

  // Then, apply the filtering logic
  const jobDescriptions = document.querySelectorAll('span[data-test="job-description-text"]');
  jobDescriptions.forEach(desc => {
    // Strip inner HTML tags
    let innerText = desc.innerText || "";

    if (innerText.length > charLimit) {
      let parentSection = desc.closest('section');
      if (parentSection) {
        parentSection.style.display = 'none';
      }
    }
  });
}